function calculo_latidos

cargaDatos('CurvaECG.xlsx');
tension=awgn(tension,1,'measured');
ventana=250;
j=1;

calculaR_total(ventana,tiempo,tension);

%CLCULO DE R Y EL NMERO DE LATIDOS...
function calculaR_total(ventana,tiempo,tension)
    j=1;
    for i=1:250:15000
        [picoTiempo,picoTension]=calculaR(tiempo(i:i+ventana),tension(i:i+ventana));
        R(j,1)=picoTiempo;
        R(j,2)=picoTension;
        j=j+1;
    end
    PrimerPicoR_Tiempo=R(1,1)
    PrimerPicoR_Tension=R(1,2)
    NumeroDeLatidos=size(R);
    NumeroDeLatidos=NumeroDeLatidos(1)
end

function [picoTiempo,picoTension]=calculaR(tiempo,tension)
    [pks,locs]=findpeaks(abs(tension));
    maxTension=pks(1);
    maxTiempo=locs(1);
    for i=1:length(pks)
       if(pks(i)>maxTension)
           maxTension=pks(i);
           maxTiempo=tiempo(locs(i));
       end
    end
    picoTension=maxTension;
    picoTiempo=maxTiempo;
end

function cargaDatos(nombreArchivo)
    tiempo=xlsread(nombreArchivo,1,'A2:A15002');
    tension=xlsread(nombreArchivo,1,'B2:B15002');
    %plot(tiempo(1:250),tension(1:250));
end

end