function fft_senal()
    cargaDatos('CurvaECG.xlsx'); 
    L=250;
    Fs=250;
    
    %RUIDO GAUSSIANO
    rsn=10*log10((1/0.1)^2); 
    %rsn=10*log10((1/0.2)^2);
    %rsn=10*log10((1/0.3)^2);
    
    %RUIDO SENOIDAL
    frec=50;
    seno=calculo_frecuencia(frec);
    seno=seno';
    tensionR=seno+tension(1:250);
    
    %tension=tension-awgn(tension,rsn);
    
    
    NFFT = 2^nextpow2(L); 
    Y = fft(tensionR,NFFT)/L;
    f = Fs/2*linspace(0,1,NFFT/2+1);
    x=2*abs(Y(1:NFFT/2+1));
    
    plot(f,2*abs(Y(1:NFFT/2+1))) 
    title('Espectro frecuencial de la onda simulada con ruido senoidal de 50 Hz')
    xlabel('Frecuencia (Hz)')
    ylabel('|Y(f)|')
    
    [pks,locs]=findpeaks(2*abs(Y(1:NFFT/2+1)))
    
    %CLCULO DE LA FRECUENCIA
    function seno=calculo_frecuencia(fmax)
        l=0:0.1:24.9;
        seno=sin(2*pi*fmax*l*0.04);
    end
    
    function cargaDatos(nombreArchivo)
        tiempo=xlsread(nombreArchivo,1,'A2:A15002');
        tension=xlsread(nombreArchivo,1,'B2:B15002');
        %plot(tiempo,tension);
    end
end